<?php
namespace App\Model\Interfaces;


use App\Model\Entities\GameData\Publisher;
use App\Model\Entities\GameData\Studio;

interface IGameData extends IEntity
{
    /**
     * @return Studio
     */
    public function getStudio() : Studio;

    /**
     * @param Studio $studio
     */
    public function setStudio(Studio $studio);

    /**
     * @return Publisher
     */
    public function getPublisher() : Publisher;

    /**
     * @param Publisher $publisher
     */
    public function setPublisher(Publisher $publisher);

    /**
     * @return mixed
     */
    public function getVersion();

    /**
     * @param mixed $version
     */
    public function setVersion($version);
}